local t,e,a
local a=require"luci.sys"
if a.call("pidof mproxy >/dev/null")==0 then
Status=translate("<strong><font color=\"green\">Mproxy is Running</font></strong>")
else
Status=translate("<strong><font color=\"red\">Mproxy is Not Running</font></strong>")
end
t=Map("mproxy")
t.title=translate("Mproxy Server")
t.description=translate("A mini HTTP/HTTPS Proxy Server for Something")
e=t:section(TypedSection,"mproxy","")
e.addremove=false
e.anonymous=true
e.description=translate(string.format("%s<br /><br />",Status))
enable=e:option(Flag,"enabled",translate("Enable"))
enable.default=0
enable.rmempty=false
port=e:option(Value,"port",translate("Port"))
port.datatype="range(1,65535)"
redir=e:option(Value,"redir",translate("Redirect to Local Port"))
redir.datatype="range(1,65535)"
redir.rmempty=false
redir.description=translate("Redirecting traffic incoming to the specified local port")
function t.on_after_commit(e)
os.execute("uci set firewall.mproxy.dest_port=$(uci get mproxy.config.port) && uci commit firewall &&  /etc/init.d/firewall restart")
os.execute("/etc/init.d/mproxy restart")
end
return t
